Package be.ehealth.businessconnector.addressbook.service.impl

# Class AddressbookTokenServiceImpl

java.lang.Object
be.ehealth.businessconnector.addressbook.service.impl.AddressbookTokenServiceImpl

All Implemented Interfaces:
  `AddressbookTokenService`

public class AddressbookTokenServiceImpl extends Object implements AddressbookTokenService
Implementation for the `AddressbookTokenService` interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressbookTokenServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal)`
  Creates a new InsurabilityServiceImpl

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetOrganizationContactInfoResponse`
  `getOrganizationContactInfo(SAMLToken token, GetOrganizationContactInfoRequest request)`
  `GetProfessionalContactInfoResponse`
  `getProfessionalContactInfo(SAMLToken token, GetProfessionalContactInfoRequest request)`
  `SearchOrganizationsResponse`
  `searchOrganizations(SAMLToken token, SearchOrganizationsRequest request)`
  `SearchProfessionalsResponse`
  `searchProfessionals(SAMLToken token, SearchProfessionalsRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressbookTokenServiceImpl

    public AddressbookTokenServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal) throws TechnicalConnectorException
    Creates a new InsurabilityServiceImpl
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### getOrganizationContactInfo

    public GetOrganizationContactInfoResponse getOrganizationContactInfo(SAMLToken token, GetOrganizationContactInfoRequest request) throws TechnicalConnectorException
    Specified by:
      `getOrganizationContactInfo` in interface `AddressbookTokenService`
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### getProfessionalContactInfo

    public GetProfessionalContactInfoResponse getProfessionalContactInfo(SAMLToken token, GetProfessionalContactInfoRequest request) throws TechnicalConnectorException
    Specified by:
      `getProfessionalContactInfo` in interface `AddressbookTokenService`
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### searchOrganizations

    public SearchOrganizationsResponse searchOrganizations(SAMLToken token, SearchOrganizationsRequest request) throws TechnicalConnectorException
    Specified by:
      `searchOrganizations` in interface `AddressbookTokenService`
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### searchProfessionals

    public SearchProfessionalsResponse searchProfessionals(SAMLToken token, SearchProfessionalsRequest request) throws TechnicalConnectorException
    Specified by:
      `searchProfessionals` in interface `AddressbookTokenService`
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`